跳转到内容

Kotoba Text-to-Speech

集成

模型 id kotoba-technologies/kotoba-tts/v2/tts/ws
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kotoba-technologies/kotoba-tts/v2/tts/ws?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence.",
    "language": "ja",
    "speaker_id": "male-01"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.003 3 API 积分 · ≈ ₽0.32 在此页面运行

获取 API 密钥
Kotoba Technologies 文本转语音 #commercial-use#text-to-speech#japanese#streaming

生成过程中流式输出的日语文本转语音,提供两种音色并输出 WAV

Kotoba Technologies · 音频

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填 50 / 400

日语语音输入文本,限制为 400 个字符。

language •必填

文本使用的语言。

speaker_id •必填

语音选择。

POST /run/kotoba-technologies/kotoba-tts/v2/tts/ws?wait=20 报价 → $0.003
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kotoba-technologies/kotoba-tts/v2/tts/ws?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence.",
    "language": "ja",
    "speaker_id": "male-01"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Kotoba Text-to-Speech

将最长 400 个字符的日语 `text` 转换为语音,`language` 固定为 ja。通过 `speaker_id` 选择音色:male-01 或 female-01。输出为 24 kHz 单声道、16-bit 的 WAV 文件,并包含秒数形式的时长和合成文本。音频会在生成过程中流式传输。

参数

名称类型 默认值允许值 描述
text必填
类型string
≤ 400 个字符
日语语音输入文本,限制为 400 个字符。
language必填
类型enum
ja
文本使用的语言。
speaker_id必填
类型enum
male-01female-01
语音选择。
必填

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kotoba-technologies/kotoba-tts/v2/tts/ws",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3,
    "usd": "0.003",
    "charged": 3,
    "refunded": 0
  },
  "input": {
    "text": "Hello from Doitong. This is a short test sentence.",
    "language": "ja",
    "speaker_id": "male-01"
  },
  "output": {
    "audio": {
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200,
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3"
    },
    "audio_duration_secs": 1.0,
    "text": "string"
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
audio
object {content_type, file_name, file_size, url}合成语音文件的链接,格式为 WAV,单声道音频,24 kHz、16 位深度。
audio_duration_secs
number合成音频的时长,以秒为单位。
text
string用于合成语音的文本。

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/kotoba-technologies/kotoba-tts/v2/tts/ws.md. 所有模型和指南: https://doitong.com/developers/llms.txt